package org.nakedobjects.applib.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * Indicates that an instance cannot be changed.
 * 
 * <p>
 * To make something always immutable used the form <tt>@Immutable</tt>.  To make something 
 * immutable only once persisted use the the form <tt>@Immutable(Immutable.ONCE_PERSISTED)</tt>.
 */
@Inherited
@Target( { ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
public @interface Immutable {
    When value() default When.ALWAYS;
}

// Copyright (c) Naked Objects Group Ltd.
