package org.nakedobjects.applib.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Indicates that the class has value semantics (as opposed to
 * <tt>javax.jpa.Entity</tt> semantics.
 * 
 * This is currently not used. 
 */
// REVIEW full implementation of @Value required. Eg not recognised by hibernate.
@Inherited
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface Value {
    /**
     * Fully qualified name of class that implements
     * <tt>org.nakedobjects.noa.adapter.NakedValue</tt>.
     *  
     * @return the fully qualified name of the adapter class.
     */
    String adapterTypeName();
}
