package org.nakedobjects.applib.fixtures;

/**
 * Sole purpose is to set the date/time.
 * 
 * <p>
 * Alternatively fixtures can call {@link FixtureServices#setDate(int, int, int)} and
 * {@link FixtureServices#setTime(int, int)} within the a fixture that extends {@link AbstractFixture}.
 * 
 * <p>
 * Note: this fixture assumes that the installed clock is a {@link FixtureClock}
 */
public class DateFixture extends AbstractFixture {

    public DateFixture(int year, int month, int day, int hour, int minutes) {
        this.year = year;
        this.month = month;
        this.day = day;
        this.hour = hour;
        this.minute = minutes;
    }

    public DateFixture(int year, int month, int day) {
        this(year, month, day, 0, 0);
    }

    private int year;

    public int getYear() {
        return year;
    }
    private int month;

    public int getMonth() {
        return month;
    }
    private int day;

    public int getDay() {
        return day;
    }
    private int hour;

    public int getHour() {
        return hour;
    }
    private int minute;

    public int getMinute() {
        return minute;
    }

    public void install() {
        service.setDate(year, month, day);
        service.setTime(hour, minute);
    }

}
