package org.nakedobjects.applib.fixtures;

public interface FixtureServices {

    /**
     * Set the clock to the specified date.
     */
    void setDate(int year, int month, int day);
    
    /**
     * Change the clock so the date is later by the specified number of years, months and days.
     */
   void laterDate(int years, int months, int days);
    
   /**
    * Change the clock so the date is earlier by the specified number of years, months and days.
    */
    void earlierDate(int years, int months, int days);

    /**
     * Set the clock to the specified time.
     */
    void setTime(int hour, int minute);

    /**
     * Change the clock so the time is later by the specified number of hours and minutes.
     */
   void laterTime(int hours, int minutes);
    
   /**
    * Change the clock so the time is earlier by the specified number of hours and minutes.
    */
    void earlierTime(int hours, int minutes);

    /**
     * Reset the clock back to the system clock; it will start ticking at this point.
     */
    void resetClock();
    
    FixtureClock getFixtureClock();
    
    /**
     * Sets the specified user as the the current user of the system, with the list of specified roles.
     */
    void setUser(String username, String[] roles);
}


// Copyright (c) Naked Objects Group Ltd.
