package org.nakedobjects.applib.security;


public final class RoleMemento {
	private final String description;
	private final String name;

	/**
	 * Creates a new role with the specified name. Description is left blank.
	 */
	public RoleMemento(final String name) {
		this(name, "");
	}

	/**
	 * Creates a new role with the specified name and description.
	 */
	public RoleMemento(final String name, final String description) {
		if (name == null) {
			throw new IllegalArgumentException("Name not specified");
		}
		this.name = name;
		if (description == null) {
			throw new IllegalArgumentException("Description not specified");
		}
		this.description = description;
	}

	public String getDescription() {
		return description;
	}

	public String getName() {
		return name;
	}

	public String titleString() {
		return name;
	}
}
// Copyright (c) Naked Objects Group Ltd.
