package org.nakedobjects.applib.value;

import java.io.Serializable;

public class Password implements Serializable {
    private static final long serialVersionUID = 1L;
    private static final String STARS = "********************";
    private final String password;

    public Password(final String password) {
        this.password = password;
    }

    public boolean checkPassword(final String password) {
        return this.password.equals(password);
    }

    public String getPassword() {
        return password;
    }
    
    public String toString() {
        return STARS.substring(0, Math.min(STARS.length(), password.length()));
    }
}
// Copyright (c) Naked Objects Group Ltd.
